function __init()
	
	screwAnimation = CCAnimation_animation()
	screwAnimation:setName("screw")
	screwAnimation:setDelay(0.0444)
	for i = 1, 3 do 
		screwAnimation:addFrame(spriteFrameByName("screw_000"..i..".png"))
	end
	
	Instance():getLevel():flagsInit()
	Instance():getLevel():createSpriteAndBody("land1", "land1")
	Instance():getLevel():createSprite("rope1", "rope1")
	Instance():getLevel():buttonsInit()
	Instance():getLevel():createSpriteAndBody("triangle1", "triangle1")
	Instance():getLevel():createSpriteAndBody("plat1", "plat1")
	Instance():getLevel():createSprite("wood1", "wood1")
	Instance():getLevel():createSpriteAndBody("plat2", "plat2")
	local land2 = Instance():getLevel():createSpriteAndBody("land2", "land2a")
	local land2b = Instance():getLevel():createSprite("land2", "land2b")
	land2b:setPositionX(getBodySprite(land2):getPositionX() + 2046 * ConfigData_Instance():getScale())
	land2b:setPositionY(land2b:getPositionY())
	
	local lift1Body = Instance():getLevel():createSpriteAndBody("lift1", "lift1")
	local lift1Button = Instance():getLevel():objectByName("presser1")
	local lift1 = GameObjects_Instance():createObjectPlatform("lift1", lift1Body, lift1Button)
	Instance():getLevel():createObject(lift1)
	
	local ball1Body = Instance():getLevel():createSpriteAndBody("ball1", "ball1")
	ball1 = getBodySprite(ball1Body);
	
	for i = 1, 3 do 
		Instance():getLevel():createSpriteAndBody("jump"..i, "jumperL")
	end
	Instance():getLevel():playerInit()
	Instance():getLevel():starsInit()
	local tunel1 = Instance():getLevel():createSpriteAndBody("tunel1", "tunel1")
	local tunel1Obj = GameObjects_Instance():createObjectHideLand("tunel1", tunel1)
	Instance():getLevel():createObject(tunel1Obj)
	
	for i = 1, 3 do
		createJumperWithScrew(i)
	end
	
end	

function createJumperWithScrew(i) 
	local jumpName = "jump"..i
	local body = Instance():getLevel():bodyByName(jumpName)
	local jumper = GameObjects_Instance():createObjectLinearSpring(jumpName, body)
	Instance():getLevel():createObject(jumper)
	
	screw = CCSprite()
	screw:setPositionX(jumper:getSprite():getPositionX())
	screw:setPositionY(jumper:getSprite():getPositionY() - 60 * ConfigData_Instance():getPhysicsScale())
	screw:runAction(CCRepeatForever_actionWithAction(CCAnimate_actionWithAnimation(screwAnimation)))
	Instance():getLevelLayer():addChild(screw)
	screw:autorelease()
	jumper:afterInit()
end

__init()

function update(dt)
	if ball1:getPositionX() > ConfigData_Instance():getNew_X(1100) and 
		Instance():getLevel():getPlayer():getSprite():getPositionX() < ConfigData_Instance():getNew_X(1255) and 
		Instance():getLevel():getPlayer():getSprite():getPositionY() < ConfigData_Instance():getNew_Y(230) then 
		Instance():getLevel():resetSituation()
	end
	
end

function destroy()
	screwAnimation = nil;
	ball1 = nil;
end

