local ConditionWater = 2

function __init()
	Instance():getLevel():buttonsInit();
	Instance():getLevel():flagsInit();
	Instance():getLevel():playerInit();
		
	helBody = Instance():getLevel():createSpriteAndBody("helicopter1", "helicopter_stat")
	helObj = GameObjects_Instance():createObjectHelicopter("helicopter1", helBody)
	hel = Instance():getLevel():createObject(helObj)
    
		
	local water1 = Instance():getLevel():createSprite("water1", "water")
 	local water1Obj = GameObjects_Instance():createObjectWater("water1", water1)
	Instance():getLevel():createObject(water1Obj)
		
	local water2 = Instance():getLevel():createSprite("water2", "water")
 	local water2Obj = GameObjects_Instance():createObjectWater("water2", water2)
	Instance():getLevel():createObject(water2Obj)

	Instance():getLevel():createSpriteAndBody("land1", "land1");
	plane1 = Instance():getLevel():createSpriteAndBody("plane1", "plane");
	Instance():getLevel():setSensor(true, plane1);
		
	Instance():getLevel():createSprite("mayak1", "mayak");
	Instance():getLevel():createSprite("mayak2", "mayak");
	Instance():getLevel():createSpriteAndBody("land2", "land2");
	
	local killer2Sprite = Instance():getLevel():createSpriteAndBody("killer2", "killer2")
	local killer2Obj = GameObjects_Instance():createObjectKiller("killer2", killer2Sprite)
	killer2 = Instance():getLevel():createObject(killer2Obj)

	Instance():getLevel():createSprite("pedestal1", "pedestal2");
	
	local but = Instance():getLevel():objectByName("lever1")
		
		
	local gate1Body = Instance():getLevel():createSpriteAndBody("gate1", "gate1")
	local gate1Obj = GameObjects_Instance():createObjectPlatform("gate1", gate1Body, but)
	Instance():getLevel():createObject(gate1Obj)
		
	local gate2Body = Instance():getLevel():createSpriteAndBody("gate2", "gate2")
	local gate2Obj = GameObjects_Instance():createObjectPlatform("gate2", gate2Body, but)
	Instance():getLevel():createObject(gate2Obj)
	
    Instance():getLevel():createSpriteAndBody("land3", "land3");
    
	plane2 = Instance():getLevel():createSpriteAndBody("plane2", "plane");
	Instance():getLevel():setSensor(true, plane2);
	
	Instance():getLevel():createSprite("mayak3", "mayak");
	Instance():getLevel():createSprite("mayak4", "mayak");
	
	local land4 = Instance():getLevel():createSpriteAndBody("land4", "land4")
	local land4Sprite = getBodySprite(land4)
	local land4b = SpriteWrapper()
	land4b:setSprite(Instance():getLevel():createSprite("land4", "land4"))
		
	land4Sprite:setScaleY(2.0 * ConfigData_Instance():getScale())
    
	land4b:setPosition(land4Sprite:getPositionX() + 2048 * ConfigData_Instance():getScale() - 0.5 * ConfigData_Instance():getScale(), land4b:getSprite():getPositionY())
	land4b:setScaleY(2.0 * ConfigData_Instance():getScale())
    local land4c = SpriteWrapper()
	land4c:setSprite(Instance():getLevel():createSprite("land4", "land4add"))
	land4c:setPosition(land4Sprite:getPositionX() + 4096 * ConfigData_Instance():getScale() - 0.5 * ConfigData_Instance():getScale(), land4b:getSprite():getPositionY())
    land4c:setScaleY(2.0 * ConfigData_Instance():getScale())

	killer1Sprite = Instance():getLevel():createSpriteAndBody("killer1", "killer1")
	local killer1Obj = GameObjects_Instance():createObjectKiller("killer1", killer1Sprite)
    killer1 = Instance():getLevel():createObject(killer1Obj)	
		
	local killer1b = SpriteWrapper()
	killer1b:setSprite(Instance():getLevel():createSprite("killer1", "killer1"))
	killer1b:setPosition( killer1:getSprite():getPositionX() + 2048 * ConfigData_Instance():getScale()  - 0.5, killer1:getSprite():getPositionY() );
	
	local killer1c = SpriteWrapper()
	killer1c:setSprite(Instance():getLevel():createSprite("killer1", "killer1add"))
	killer1c:setPosition( killer1:getSprite():getPositionX() + 4096 * ConfigData_Instance():getScale()  - 0.5, killer1:getSprite():getPositionY() );

	
	Instance():getLevel():setSensor(false, killer1Sprite);
	Instance():getLevel():setSensor(true, killer2Sprite);

	Instance():getLevel():starsInit();
	achievementUnlocked = 0
--[[
	if(objectByName("goldStar3")) {
		level->reorderChild(objectByName("goldStar3")->getSprite(), objectByName("water2")->getSprite()->getZOrder()-1);
	}
--]]
end	
	
__init()

function update(dt)
    k = FLASH_FPS * dt;
    
	helObj:setLeft(gamemenu_left());
	helObj:setRight(gamemenu_right());
	helObj:setUp( gamemenu_up());
	

    if (Instance():getLevel():isTouch(helBody, killer1Sprite) == 1 or Instance():getLevel():isTouch(helBody, killer2Sprite) == 1) then
		helObj:setHealth( helObj:getHealth() - (10 * k));
		if XmlProfilesManager_getInstance():isAchievementRelease(11) == false then
	        Instance():getLevel():ShowAchivement(11)
		end	
	end
    if (Instance():getLevel():getPlayer():getCondition() == ConditionWater and 
            Instance():getLevel():getPlayer():getSprite():getPositionX() < ConfigData_Instance():getNew_X(1250)) then
        Instance():getLevel():resetSituation();
    end
    
    if (helObj:isAlive() and Instance():getLevel():getPlayer():getLive()) then
		exPih = helObj:getPih();
		exHos = helObj:getHos();
	     
        helObj:setPih(helObj:isTouchSecsor())  
        
		if(Instance():getLevel():isTouch(helBody, plane1) == 1 or Instance():getLevel():isTouch(helBody, plane2) == 1) then
		    helObj:setHos(true);
		else
		    helObj:setHos(false);
        end
		
		if (helObj:getHos() and helObj:getPih() and not exPih) then
            helObj:turn(true);
        end
		if (helObj:getPih() and not exHos and helObj:getHos()) then 
            helObj:turn(false);
        end
	end
end


	

function destroy()
	helBody = nil;
	helObj = nil;
	hel = nil;
	plane1 = nil;
	killer1 = nil;
	killer2 = nil;
	plane2 = nil;
	killer1Sprite = nil;
end



