function __init()
	up = 0
	local land1 = Instance():getLevel():createSpriteAndBody("land1", "land1a")
	local land1Vec = b2Vec2(land1:GetPosition().x, land1:GetPosition().y + up/ConfigData_Instance():get_PTM_RATIO())
	land1:SetTransform(land1Vec, 0)
	local land1b = Instance():getLevel():createSprite("land1", "land1b")
	land1b:setPositionX(getBodySprite(land1):getPositionX() + 2048 * ConfigData_Instance():getScale() - 1.5)
	land1b:setPositionY(land1b:getPositionY() + up )
	Instance():getLevel():buttonsInit()
	Instance():getLevel():flagsInit()
	gate1Body = Instance():getLevel():createSpriteAndBody("gate1", "gate1")
	local gate1Vec = b2Vec2(gate1Body:GetPosition().x, gate1Body:GetPosition().y + up/ConfigData_Instance():get_PTM_RATIO())
	gate1Body:SetTransform(gate1Vec, gate1Body:GetAngle())
	gate1 = GameObjects_Instance():createObjectPlatform("gate1", gate1Body, nil)
	Instance():getLevel():createObject(gate1)
	
	gate2Body = Instance():getLevel():createSpriteAndBody("gate2", "gate2")
	local gate2Vec = b2Vec2(gate2Body:GetPosition().x, gate2Body:GetPosition().y + up/ConfigData_Instance():get_PTM_RATIO())
	gate2Body:SetTransform(gate2Vec, gate2Body:GetAngle())
	gate2 = GameObjects_Instance():createObjectPlatform("gate2", gate2Body, nil)
	Instance():getLevel():createObject(gate2)
	
	skull = Instance():getLevel():createSpriteAndBody("skull1", "skull1")
	local skullVec = b2Vec2(skull:GetPosition().x, skull:GetPosition().y + up/ConfigData_Instance():get_PTM_RATIO())
	skull:SetTransform(skullVec, skull:GetAngle())
	local landF = Instance():getLevel():createSprite("landF", "landF")
	landF:setPositionX(landF:getPositionX())
	landF:setPositionY(landF:getPositionY() + up + 1.25)
	
	
	starOn1 = Instance():getLevel():createSprite("star1", "starOn")
	starOn2 = Instance():getLevel():createSprite("star2", "starOn")
	starOn3 = Instance():getLevel():createSprite("star3", "starOn")
	starOff1 = Instance():getLevel():createSprite("star1", "starOff")
	starOff2 = Instance():getLevel():createSprite("star2", "starOff")
	starOff3 = Instance():getLevel():createSprite("star3", "starOff")
	
	local point = CCPoint(0.0, 0.0883)
	getBodySprite(land1):setAnchorPoint(point)
	land1b:setAnchorPoint(point)
	starOn1:setPositionY(starOn1:getPositionY() + up) 
	starOn2:setPositionY(starOn2:getPositionY() + up) 
	starOn3:setPositionY(starOn3:getPositionY() + up) 
	starOff1:setPositionY(starOff1:getPositionY() + up) 
	starOff2:setPositionY(starOff2:getPositionY() + up) 
	starOff3:setPositionY(starOff3:getPositionY() + up) 
	
	Instance():getLevel():getExit():getSprite():setPositionY(Instance():getLevel():getExit():getSprite():getPositionY() + up)
	local exitBound = Instance():getLevel():getExit():getBound()
	local exitRect = CCRect(exitBound.origin.x, exitBound.origin.y + up, exitBound.size.width, exitBound.size.height)
	Instance():getLevel():getExit():setBound(exitRect)
	
	
	starOn3:setIsVisible( false )
	starOn2:setIsVisible( false )
	starOn1:setIsVisible( false )
	Instance():getLevel():playerInit()
	Instance():getLevel():starsInit()
	
	
	goldStar1 = GameObjects_Instance():createStarByObjectName("goldStar1")
	goldStar1:getSprite():setPositionY(goldStar1:getSprite():getPositionY() + up)
	local starBound = goldStar1:getBound()
	local starRect = CCRect(starBound.origin.x, starBound.origin.y + up, starBound.size.width, starBound.size.height)
	goldStar1:setBound(starRect)
	
	goldStar2 = GameObjects_Instance():createStarByObjectName("goldStar2")
	goldStar2:getSprite():setPositionY(goldStar2:getSprite():getPositionY() + up)
	starBound = goldStar2:getBound()
	starRect = CCRect(starBound.origin.x, starBound.origin.y + up, starBound.size.width, starBound.size.height)
	goldStar2:setBound(starRect)
	
	goldStar3 = GameObjects_Instance():createStarByObjectName("goldStar3")
	goldStar3:getSprite():setPositionY(goldStar3:getSprite():getPositionY() + up)
	starBound = goldStar3:getBound()
	starRect = CCRect(starBound.origin.x, starBound.origin.y + up, starBound.size.width, starBound.size.height)
	goldStar3:setBound(starRect)
	
	yorick = false;
	achievementUnlocked = 0
end	
	
__init()

function update(dt)

	
	starOn1:setIsVisible( (not goldStar1 or goldStar1:getTaken()) );
	starOn2:setIsVisible( (not goldStar2 or goldStar2:getTaken()) );
	starOn3:setIsVisible( (not goldStar3 or goldStar3:getTaken()) );
	starOff1:setIsVisible( not starOn1:getIsVisible() );
	starOff2:setIsVisible( not starOn2:getIsVisible() );
	starOff3:setIsVisible( not starOn3:getIsVisible() );
	
	gatesState = 0
	if (starOn1:getIsVisible() and starOn2:getIsVisible() and starOn3:getIsVisible()) then
		gatesState = 1
	end
	gate1:setState(gatesState)
	gate2:setState(gatesState)
	
	if (not yorick and Instance():getLevel():isTouch(Instance():getLevel():getPlayer():getBody(), skull) == 1) then
		if XmlProfilesManager_getInstance():isAchievementRelease(8) == false then
	        Instance():getLevel():ShowAchivement(8)
		end	
		yorick = true
	end
	
end

function destroy()
	gate1Body = nil;
	gate1 = nil;
	gate2Body = nil;
	gate2 = nil;
	skull = nil;
	starOn1 = nil;
	starOn2 = nil;
	starOn3 = nil;
	starOff1 = nil;
	starOff2 = nil;
	starOff3 = nil;
end

