function __init()

	heroLabel = LabelWrapper()
	jumpLabel = LabelWrapper()
	moveLabel = LabelWrapper()
	starLabel = LabelWrapper()
	fallLabel = LabelWrapper()
	flagLabel = LabelWrapper()

	heroArrow = SpriteWrapper()
	moveArrow = SpriteWrapper()
	jumpArrow = SpriteWrapper()
	star1Arrow = SpriteWrapper()
	star2Arrow = SpriteWrapper()
	fallArrow = SpriteWrapper()
	flagArrow = SpriteWrapper()
		
		
	heroShow = true
	moveShow = true
	jumpShow = true

	star1Show = false 
	star2Show = false
	starLabelShow = false
	fallShow = false 
	flagShow = false

	heroLabel:createLabel(hcSDKWrapper_getInstance():getStringByID("tutorial_1"), ConfigData_Instance():get_HintFont())
	heroLabel:setAnchorPoint(0.5, 0.5)
	heroLabel:setPosition(ConfigData_Instance():getNew_X(115), ConfigData_Instance():getNew_Y(170))
	--heroLabel:setPosition(ConfigData_Instance():getNew_X(115), 170 * ConfigData_Instance():getScale() * 1.3)
	Instance():getLevel():addChild(heroLabel:getLabel())

	heroArrow:createSprite("heroArrow.png")
	heroArrow:setAnchorPoint(0.5, 1.0)
	heroArrow:setPosition(ConfigData_Instance():getNew_X(115), ConfigData_Instance():getNew_Y(190))
	--heroArrow:setPosition(ConfigData_Instance():getNew_X(115), 155 * ConfigData_Instance():getScale() * 1.3)
	Instance():getLevel():addChild(heroArrow:getSprite())

	heroLabel:runActionForHero(2.0, 0.5)
	heroArrow:runActionForHero(2.0, 0.5)

	Instance():getLevel():buttonsInit()
	Instance():getLevel():flagsInit()

	Instance():getLevel():createSpriteAndBody("land1", "land1")
	Instance():getLevel():createSpriteAndBody("land2", "land2")
	
	box = b2BodyWrapper()
	box:setBody(Instance():getLevel():createSpriteAndBody("box1", "box"))

	Instance():getLevel():playerInit()
	Instance():getLevel():starsInit()


	labelY = 56 * ConfigData_Instance():getPhysicsScale()
	jumpX = 164 * ConfigData_Instance():getPhysicsScale() 
	moveX = 377 * ConfigData_Instance():getPhysicsScale() 
	arrowD = 43 * ConfigData_Instance():getPhysicsScale() 
	arrowY = 52 * ConfigData_Instance():getPhysicsScale()
	
	invertControl = ConfigData_Instance():getInvertControl()


	jumpLabel:createLabel(hcSDKWrapper_getInstance():getStringByID("tutorial_jump"), ConfigData_Instance():get_HintFont())
	jumpLabel:setAnchorPoint(0.5, 0.5)
	if invertControl == true then
		jumpLabel:setPosition(jumpX, labelY)
	else
		jumpLabel:setPosition(ConfigData_Instance():getWidth() - jumpX, labelY)
	end
	Instance():getLevel():addChild(jumpLabel:getLabel())

	moveLabel:createLabel(hcSDKWrapper_getInstance():getStringByID("tutorial_move"), ConfigData_Instance():get_HintFont())
	moveLabel:setAnchorPoint(0.5, 0.5)
	
	if invertControl == true then
		moveLabel:setPosition(moveX, labelY)
	else
		moveLabel:setPosition(ConfigData_Instance():getWidth() - moveX, labelY)
	end
	Instance():getLevel():addChild(moveLabel:getLabel())

	jumpArrow:createSprite("controlArrow.png")
	jumpArrow:setAnchorPoint(0.5, 0.5)
	if invertControl == true then
		jumpArrow:setPosition((jumpX-arrowD), arrowY)
	else
		jumpArrow:setPosition(ConfigData_Instance():getWidth() - (jumpX - arrowD), arrowY)
	end
	Instance():getLevel():addChild(jumpArrow:getSprite())
	

	moveArrow:createSprite("controlArrow.png")
	moveArrow:setAnchorPoint(0.5, 0.5)
	if invertControl == true then
		moveArrow:setPosition((moveX + arrowD), arrowY)
	else
		moveArrow:setPosition(ConfigData_Instance():getWidth() - (moveX + arrowD), arrowY)
	end
	Instance():getLevel():addChild(moveArrow:getSprite())


	opacity = 0.0
	jumpLabel:setOpacity(opacity)
	moveLabel:setOpacity(opacity)
	jumpArrow:setOpacity(opacity)
	moveArrow:setOpacity(opacity)


	jumpLabel:runAction(2.5, 0.5)
	moveLabel:runAction(2.5, 0.5)
	jumpArrow:runAction(2.5, 0.5)
	moveArrow:runAction(2.5, 0.5)


	star1 = GameObjects_Instance():createStarByObjectName("goldStar1")
	star2 = GameObjects_Instance():createStarByObjectName("goldStar2")


	starLabel:createLabel(hcSDKWrapper_getInstance():getStringByID("tutorial_2"), ConfigData_Instance():get_HintFont())
	starLabel:setAnchorPoint(0.5, 0.5)
	starLabel:setPosition(ConfigData_Instance():getNew_X(360), ConfigData_Instance():getNew_Y(80) )
	Instance():getLevelLayer():addChild(starLabel:getLabel())
	
	star1Arrow:createSprite("star1Arrow.png")
	star1Arrow:setAnchorPoint(1.0, 1.0)
	star1Arrow:setPosition(ConfigData_Instance():getNew_X(335), ConfigData_Instance():getNew_Y(105))
	Instance():getLevelLayer():addChild(star1Arrow:getSprite())

	star2Arrow:createSprite("star2Arrow.png")
	star2Arrow:setAnchorPoint(0.0, 1.0)
	star2Arrow:setPosition(ConfigData_Instance():getNew_X(370), ConfigData_Instance():getNew_Y(105))
	Instance():getLevelLayer():addChild(star2Arrow:getSprite())
	
	star2Arrow:setOpacity(0.0)
	star1Arrow:setOpacity(0.0)
	starLabel:setOpacity(0.0)


	fallLabel:createLabel(hcSDKWrapper_getInstance():getStringByID("tutorial_3"), ConfigData_Instance():get_HintFont())
	fallLabel:setAnchorPoint(0.5, 0.5)
	fallLabel:setPosition(ConfigData_Instance():getNew_X(954), ConfigData_Instance():getNew_Y(220))
	Instance():getLevelLayer():addChild(fallLabel:getLabel())

	fallArrow:createSprite("fallArrow.png")
	fallArrow:setAnchorPoint(0.5, 1.0)
	fallArrow:setPosition(ConfigData_Instance():getNew_X(954), ConfigData_Instance():getNew_Y(250))
	Instance():getLevelLayer():addChild(fallArrow:getSprite())

	fallArrow:setOpacity(0.0)
	fallLabel:setOpacity(0.0)


	flagLabel:createLabel(hcSDKWrapper_getInstance():getStringByID("tutorial_4"), ConfigData_Instance():get_HintFont())
	flagLabel:setAnchorPoint(0.5, 0.5)
	flagLabel:setPosition(ConfigData_Instance():getNew_X(1400), ConfigData_Instance():getNew_Y(60))
	Instance():getLevelLayer():addChild(flagLabel:getLabel())

	flagArrow:createSprite("flagArrow.png")
	flagArrow:setAnchorPoint(0.0, 1.0)
	flagArrow:setPosition(ConfigData_Instance():getNew_X(1450), ConfigData_Instance():getNew_Y(90))
	Instance():getLevelLayer():addChild(flagArrow:getSprite())

	flagArrow:setOpacity(0.0)
	flagLabel:setOpacity(0.0)
	
end

__init()

function update(dt)
	if box:getPositionY() < 0 then
		Instance():getLevel():resetSituation()
	end
	
	if ( moveShow and (gamemenu_left() or gamemenu_right()) ) then
		moveShow = false
		if moveLabel:getOpacity() == 0.0 then
			moveLabel:setIsVisible(false)
			moveArrow:setIsVisible(false)
		end
		moveLabel:runActionFadeOut(0.5)
		moveArrow:runActionFadeOut(0.5)
	end
	
	if ( jumpShow and gamemenu_up() ) then
        jumpShow = false
        if (jumpLabel:getOpacity() == 0.0) then 
            jumpLabel:setIsVisible(false)
            jumpArrow:setIsVisible(false)
        end
        jumpLabel:runActionFadeOut(0.5)
        jumpArrow:runActionFadeOut(0.5)
    end
	
	if Instance():getLevel():getPlayer():getSprite():getPositionX() > ConfigData_Instance():getNew_X(300)  then
        if (not star1Show and star1 and star1:getTaken() == false) then
            star1Show = true
            star1Arrow:runActionFadeIn(0.5)
        end
        if (not star2Show and star2 and star2:getTaken() == false) then
            star2Show = true
            star2Arrow:runActionFadeIn(0.5)
        end
        if ( (star1Show == true or star2Show == true) and not starLabelShow ) then
            starLabelShow = true
            starLabel:runActionFadeIn(0.5)
        end
    end
	

	if (star1Show and star1:getJustTaken() == true) then
        star1Arrow:runActionFadeOut(0.5)
        if ( starLabelShow and ( not star2 or (star2 and star2:getTaken()) ) ) then
			starLabel:runActionFadeOut(0.5)
		end
    end
    
    if (star2Show and star2:getJustTaken() == true) then
        star2Arrow:runActionFadeOut(0.5)
        if (starLabelShow and (not star1 and (star1 and star1:getTaken()))) then
			starLabel:runActionFadeOut(0.5)
		end
    end
    
    if (Instance():getLevel():getPlayer():getSprite():getPositionX() > ConfigData_Instance():getNew_X(680) and 
		Instance():getLevel():getPlayer():getSprite():getPositionX() < ConfigData_Instance():getNew_X(1180)) then
        if ( not fallShow) then
            fallLabel:runActionFadeIn(0.5)
            fallArrow:runActionFadeIn(0.5)
        end
        fallShow = true
    else if (fallShow) then
            fallLabel:runActionFadeOut(0.5)
            fallArrow:runActionFadeOut(0.5)
        end
        fallShow = false
    end
    
    if (Instance():getLevel():getPlayer():getSprite():getPositionX() > ConfigData_Instance():getNew_X(1180)) then
        if (not flagShow) then
            flagLabel:runActionFadeIn(0.5)
            flagArrow:runActionFadeIn(0.5)
        end
        flagShow = true
    else if (flagShow) then
            flagLabel:runActionFadeOut(0.5)
            flagArrow:runActionFadeOut(0.5)
        end
        flagShow = false
    end
	
end

function destroy()
	CCSpriteFrameCache_sharedSpriteFrameCache():removeUnusedSpriteFrames()
	box = nil;
	star1 = nil;
	star2 = nil;
end



