
function __init()
	Instance():getLevel():buttonsInit()
	Instance():getLevel():flagsInit()
	Instance():getLevel():createSprite("rope1", "rope1")
	local cabine1Body = Instance():getLevel():createSpriteAndBody("cabine1", "cabine1")
	local presser1 = Instance():getLevel():objectByName("presser1")
	local cabine1Obj = GameObjects_Instance():createObjectPlatform("cabine1", cabine1Body, presser1)
	Instance():getLevel():createObject(cabine1Obj)
			
	magnet1 = Instance():getLevel():createSpriteAndBody("magnet1", "magnet1")
	Instance():getLevel():createSpriteAndBody("wall1", "wall1")
	Instance():getLevel():createSpriteAndBody("wall2", "wall2")
	
	local jumper1Body = Instance():getLevel():createSpriteAndBody("jumper1", "jumperL");
	Instance():getLevel():playerInit();
	
	boxes = {}
	for i = 0, 4 do
		boxes[i] = Instance():getLevel():createSpriteAndBody("box"..(i + 1), "steelBox")
	end
	local water1 = Instance():getLevel():createSprite("water1", "water1")
	water1Obj = GameObjects_Instance():createObjectWater("water1", water1)
	Instance():getLevel():createObject(water1Obj)
	
	local jumper1Obj = GameObjects_Instance():createObjectLinearSpring("jumper1", jumper1Body)
	Instance():getLevel():createObject(jumper1Obj)
	
	local land1 = Instance():getLevel():createSpriteAndBody("land1", "land1a")
	local land1b = Instance():getLevel():createSprite("land1", "land1b")
	land1b:setPositionX(getBodySprite(land1):getPositionX() + 2048 * ConfigData_Instance():getScale() - 0.5 * ConfigData_Instance():getScale())
	
	Instance():getLevel():starsInit()
	jumper1Obj:afterInit()
	lever1 = GameObjects_Instance():convertGameObjectToLever(Instance():getLevel():objectByName("lever1"))
	lever1:getBody():SetAngularDamping(2.0)
	
	presser2 = GameObjects_Instance():convertGameObjectToKnob(Instance():getLevel():objectByName("presser2"))
	magnet1Joint = b2JointWrapper_Instance():createb2DistanceJoint(Instance():getLevel():jointByName("jointa0"))
	magnet1WeldJoint = 0;

	if Instance():getLevel():objectSpriteByName("goldStar2") ~= nil then
		Instance():getLevelLayer():reorderChild(Instance():getLevel():objectSpriteByName("goldStar2"), getBodySprite(boxes[4]):getZOrder() - 1)
	end
	magnetBox = -1
	presser2St = 0
	--local joint = b2JointWrapper_Instance():createb2WeldJoint(magnet1Joint)
	--local j = Instance():getLevel():getWorld():CreateJoint(weldJointDef)
end	
	
__init()

function update(dt)
	
	if lever1:getState() == 1 then
		for i = 0, 4 do
			if (Instance():getLevel():isTouch(magnet1, boxes[i]) == 1 and  magnet1WeldJoint == 0) then
				weldJointDef = b2JointWrapper_Instance():createb2WeldJointDef()
				weldJointDef.collideConnected = true
				weldJointDef:Initialize(magnet1, boxes[i], magnet1:GetPosition())
				magnet1WeldJoint = b2JointWrapper_Instance():createb2WeldJoint(Instance():getLevel():getWorld():CreateJoint(weldJointDef))
				magnetBox = i
				break
			end
		end 
	else 
		if magnet1WeldJoint ~= 0 then
			Instance():getLevel():getWorld():DestroyJoint(magnet1WeldJoint)
			magnet1WeldJoint = 0
			magnetBox = -1
		end
	end
	
	if presser2:getState() == 1 then
		presser2St = 1
	else 
		if presser2St - 0.05 > - 0.1 then
			presser2St = presser2St - 0.05
		end
	end
	
	if (presser2St > 0) then
		local incRope = true
		
		if not magnet1WeldJoint then
			cc = magnet1:GetContactList()
			while true do
				if not cc then 
					break
				end
				
				if cc.contact:IsTouching() == true then
					if cc.other ~= water1Obj:getBody() then
						incRope = false;
					end
				end
				
				cc = cc.next
			end
		end
		
		if magnet1WeldJoint and magnetBox >= 0 then
			cc = boxes[magnetBox]:GetContactList()
			while true do
				if not cc then 
					break
				end
				
				if cc.contact:IsTouching() == true and cc.other ~= water1Obj:getBody() then
					worldManifold = b2WorldManifold();
					cc.contact:GetWorldManifold(worldManifold);
					--b2Vec2 contactPoint = worldManifold.points[0];
					--if (contactPoint.y < boxes[magnetBox]:GetPositionY()) 
						--incRope = false;
					--end
				end
				
				cc = cc.next
			end
		end
		if (magnet1Joint:GetLength() < 10.0 and incRope) then
			magnet1Joint:SetLength(magnet1Joint:GetLength() + 0.05)
		end
	else 
		if magnet1Joint:GetLength() > 1.47 then
			magnet1Joint:SetLength(magnet1Joint:GetLength() - 0.05)
		end
	end
	
	
end

function destroy()
	magnet1 = nil;
	boxes = nil;
	water1Obj = nil;
	lever1 = nil;
	presser2 = nil;
	magnet1Joint = nil;
end


	