function __init()
	Instance():getLevel():createSprite("back1", "back1")
	Instance():getLevel():createSprite("wood1", "wood1")
	spring1 = Instance():getLevel():createSprite("spring1", "spring1")
	Instance():getLevel():buttonsInit()
	Instance():getLevel():flagsInit()
	Instance():getLevel():createSprite("wood2", "wood2")
	Instance():getLevel():createSpriteAndBody("plat1", "plat1")
	
	
	presser1 = Instance():getLevel():objectByName("presser1")
	presser2 = Instance():getLevel():objectByName("presser2")
	local presser3 = Instance():getLevel():objectByName("presser3")
	
	local door1Body = Instance():getLevel():createSpriteAndBody("door1", "door1")
	door1 = GameObjects_Instance():createObjectPlatform("door1", door1Body, presser1)
	Instance():getLevel():createObject(door1)
	
	local door2Body = Instance():getLevel():createSpriteAndBody("door2", "door2")
	door2 = GameObjects_Instance():createObjectPlatform("door2", door2Body, presser1)
	Instance():getLevel():createObject(door2)
	
	local door3Body = Instance():getLevel():createSpriteAndBody("door3", "door1")
	door3 = GameObjects_Instance():createObjectPlatform("door3", door3Body, presser2)
	Instance():getLevel():createObject(door3)
	
	local door4Body = Instance():getLevel():createSpriteAndBody("door4", "door2")
	door4 = GameObjects_Instance():createObjectPlatform("door4", door4Body, presser2)
	Instance():getLevel():createObject(door4)
	
	Instance():getLevel():createSpriteAndBody("wall1", "wall1")
	local land1 = Instance():getLevel():createSpriteAndBody("land1", "land1a")
	local land1b = Instance():getLevel():createSprite("land1", "land1b")
	land1b:setPositionX( getBodySprite(land1):getPositionX() + 2048 * ConfigData_Instance():getScale() - 0.5 * ConfigData_Instance():getScale()) 
	land1b:setPositionY(land1b:getPositionY())
	local land2 = Instance():getLevel():createSpriteAndBody("land2", "land2")
	
	local tunel1 = Instance():getLevel():createBody("tunel1")
	local tunel1BodyData = getBodyData(tunel1)
	tunel1BodyData:setSprite(nil)
	local tunel2 = Instance():getLevel():createBody("tunel2")
	local tunel2BodyData = getBodyData(tunel2)
	tunel2BodyData:setSprite(nil)
	
	local box1Body = Instance():getLevel():createSpriteAndBody("box1", "box")
	box1 = getBodySprite(box1Body)
	
	plat2 = Instance():getLevel():createSpriteAndBody("plat2", "plat2")
	local plat2Obj = GameObjects_Instance():createObjectPlatform("plat2", plat2, presser3)
	Instance():getLevel():createObject(plat2Obj)
	
	Instance():getLevel():createSpriteAndBody("nail1", "nail1")
	
	for i = 0, 6 do 
		Instance():getLevel():createSpriteAndBody("rope"..i, "rope")
	end
	
	ball1 = Instance():getLevel():createSpriteAndBody("ball1", "ball1")
	ball1Sprite = getBodySprite(ball1)
	truck1 = Instance():getLevel():createSpriteAndBody("truck1", "truck1")
	Instance():getLevel():createSpriteAndBody("wheel1", "wheel")
	Instance():getLevel():createSpriteAndBody("wheel2", "wheel")
	Instance():getLevel():playerInit()
	Instance():getLevel():starsInit()
	
	Instance():getLevel():setCollide(Instance():getLevel():getPlayer():getBody(), 0, 0x0001, 0x000F)
	Instance():getLevel():setCollide(box1Body, 0, 0x0001, 0x000F)
	Instance():getLevel():setCollide(truck1, 0, 0x0011, 0x00FF)
	Instance():getLevel():setCollide(tunel1, 0, 0x0010, 0x000F)
	Instance():getLevel():setCollide(tunel2, 0, 0x0010, 0x000F)
	
	lever1 = GameObjects_Instance():convertGameObjectToLever(Instance():getLevel():objectByName("lever1"))
	presser1 = GameObjects_Instance():convertGameObjectToKnob(presser1)
	presser2 = GameObjects_Instance():convertGameObjectToKnob(presser2)
	
	
end	
	
__init()

function update(dt)
	
	if lever1:getState() == 1 and ball1:GetJointList() then 
		Instance():getLevel():getWorld():DestroyJoint(ball1:GetJointList().joint)
	end
	
	if presser1:getState() == 1 then
		door1:setSpeed(175.0)
		door2:setSpeed(175.0)
	else 
		door1:setSpeed(30.0)
		door2:setSpeed(30.0)
	end
	
	if presser2:getState() == 1 then
		door3:setSpeed(175.0)
		door4:setSpeed(175.0)
	else 
		door3:setSpeed(30.0)
		door4:setSpeed(30.0)
	end
	
	local pV = plat2:GetLinearVelocity()
	pV.x = truck1:GetLinearVelocity().x
	plat2:SetLinearVelocity(pV)
	local pVec = b2Vec2(truck1:GetPosition().x, plat2:GetPosition().y)
	plat2:SetTransform(pVec, 0)
	spring1:setPositionX(getBodySprite(truck1):getPositionX())
	spring1:setPositionY(spring1:getPositionY())
	local k = (getBodySprite(plat2):getPositionY() - ConfigData_Instance():getNew_Y(214.0)) / (100.0 *  ConfigData_Instance():getScale()) / 1.7
	spring1:setScaleX((0.8 - 0.4 * k) * ConfigData_Instance():getScale())
	spring1:setScaleY((1.0 + 0.7 * k) * ConfigData_Instance():getScale())
	
	if box1:getPositionY() < ConfigData_Instance():getNew_Y(320) or ball1Sprite:getPositionX() < ConfigData_Instance():getNew_X(255) then
		Instance():getLevel():resetSituation()
	end
	
end

function destroy()
	spring1 = nil;
	presser1 = nil;
	presser2 = nil;
	door1 = nil;
	door2 = nil;
	door3 = nil;
	door4 = nil;
	box1 = nil;
	plat2 = nil;
	ball1 = nil;
	truck1 = nil;
	lever1 = nil;
	presser1 = nil;
	presser2 = nil;
end

