function __init()	
	Instance():getLevel():buttonsInit()
	Instance():getLevel():flagsInit()

	local land1 = Instance():getLevel():createSpriteAndBody("land1", "land1")
	
	land1_1 = Instance():getLevel():createSprite("land1", "land1add")	
	land1_1:setPositionY(getBodySprite(land1):getPositionY() - 2048 * ConfigData_Instance():getScale() - 1.5)
	land1_1:setPositionX(getBodySprite(land1):getPositionX())
	
	Instance():getLevel():createSpriteAndBody("land2", "land2")
	
	local killer1Sprite = Instance():getLevel():createSprite("killer1", "killer1")
	local killer1Obj = GameObjects_Instance():createObjectKiller("killer1", killer1Sprite)
	Instance():getLevel():createObject(killer1Obj)
	
	local killer2Sprite = Instance():getLevel():createSprite("killer2", "killer2")
	local killer2Obj = GameObjects_Instance():createObjectKiller("killer2", killer2Sprite)
	Instance():getLevel():createObject(killer2Obj)
	
	for i = 1, 11 do
		local body = Instance():getLevel():createSpriteAndBody("static"..i, "platstandart")
		Instance():getLevel():setOneSide(true, body)
	end
	
	for i = 1, 4 do
		name = "move"..i
		local body = Instance():getLevel():createSpriteAndBody(name, "platmove")
		Instance():getLevel():setOneSide(true, body)
		local plat = GameObjects_Instance():createObjectPlatform(name, body, nil)
		Instance():getLevel():createObject(plat)
	end
	
	crackDestroy = CCAnimation_animation()
	crackDestroy:setName("crackDestroy")
	crackDestroy:setDelay(0.0416)
	crackDestroy:retain()
	
	for i = 3, 10 do 
		crackDestroy:addFrame(spriteFrameByName("platcrack_000"..i.. ".png"))
	end
	
	for i = 1, 5 do
		local body = Instance():getLevel():createSpriteAndBody("crack"..i, "platcrack_0002")
		local point = CCPoint(0.5, 0.85)
		getBodySprite(body):setAnchorPoint(point)
		Instance():getLevel():setOneSide(true, body)
		Instance():getLevel():setDestroy(true, body)
	end
	
	disDestroy = CCAnimation_animation()
	disDestroy:setName("disDestroy")
	disDestroy:setDelay(0.0333)
	disDestroy:retain()
	for i = 2, 11 do
		disDestroy:addFrame(spriteFrameByName("platdis_000"..i..".png"))
	end
	
	dises = {}
	for i = 1, 7 do
		local body = Instance():getLevel():createSpriteAndBody("dis"..i, "platdis_0001")
		local point = CCPoint(0.47, 0.84)
		getBodySprite(body):setAnchorPoint(point)
		Instance():getLevel():setOneSide(true, body)
		Instance():getLevel():setDestroy(true, body)
		dises[i-1] = body
	end
	
	Instance():getLevel():playerInit()
	Instance():getLevel():starsInit()
	
	--getBodySprite(dises[0]):runAction(CCAnimate_actionWithAnimation(disDestroy, false))
	--Instance():getLevel():destroyBody(dises[0])
	--Instance():getLevel():destroyBody(dises[i])
end	

__init()

function update(dt)

	Instance():getLevel():getPlayer():setUp( true )
	
	--ConfigData_Instance():get_PTM_RATIO()
	--getBodySprite(Instance():getLevel():getPlayer():getBody())

	if Instance():getLevel():getPlayer():getLive() == true then
		for i = 0, 6 do
			local player_y = Instance():getLevel():getPlayer():getSprite():getPositionY()
			local dises_y = dises[i]:GetPosition().y
			if Instance():getLevel():isTouch(Instance():getLevel():getPlayer():getBody(), dises[i]) == 1 then --and 
				--player_y - 12.0/ConfigData_Instance():get_PTM_RATIO() > dises_y then
				getBodySprite(dises[i]):runAction(CCAnimate_actionWithAnimation(disDestroy, false))
				Instance():getLevel():destroyBody(dises[i])
				Game_playEffect("DisPlat")
			end
		end
	
		--[[for i = 0, 6 do
			local player_y = getBodySprite(Instance():getLevel():getPlayer():getBody()):getPositionY() / ConfigData_Instance():get_PTM_RATIO()
			local dises_y = getBodySprite(dises[i]):getPositionY() / ConfigData_Instance():get_PTM_RATIO()
			if Instance():getLevel():isTouch(Instance():getLevel():getPlayer():getBody(), dises[i]) == 1 and 
				player_y - 12.0/ConfigData_Instance():get_PTM_RATIO() > dises_y then
				getBodySprite(dises[i]):runAction(CCAnimate_actionWithAnimation(disDestroy, false))
				Instance():getLevel():destroyBody(dises[i])
				Game_playEffect("DisPlat")
			end
		end
	--]]
	end
--]]
end

function destroy()
	crackDestroy:release();
	disDestroy:release();
	dises = nil;
end

function getCrackDestroy()
	return crackDestroy
end

