function __init()

	Instance():getLevel():createSprite("back1", "back1")
	Instance():getLevel():flagsInit()
	Instance():getLevel():createSpriteAndBody("land2", "land2")
	Instance():getLevel():createSprite("rope1", "rope")
	Instance():getLevel():createSprite("rope2", "rope")
	Instance():getLevel():createSprite("wood1", "wood1")

	local plat1Body = Instance():getLevel():createSpriteAndBody("plat1", "platH")
	local plat1Obj = GameObjects_Instance():createObjectPlatform("plat1", plat1Body, nil)
	Instance():getLevel():createObject(plat1Obj)
	
	local plat2Body = Instance():getLevel():createSpriteAndBody("plat2", "platH")
	local plat2Obj = GameObjects_Instance():createObjectPlatform("plat2", plat2Body, nil)
	Instance():getLevel():createObject(plat2Obj)

	Instance():getLevel():playerInit()
	
	local killer1Sprite = Instance():getLevel():createSprite("killer1", "killer1")
	local killer1Obj = GameObjects_Instance():createObjectKiller("killer1", killer1Sprite)
	Instance():getLevel():createObject(killer1Obj)
	
	Instance():getLevel():createSprite("tube1", "tube")
	
	water1 = Instance():getLevel():createSprite("water1", "water1")
 	local water1Obj = GameObjects_Instance():createObjectWater("water1", water1)
	Instance():getLevel():createObject(water1Obj);
	
	local land1 = Instance():getLevel():createSpriteAndBody("land1", "land1a")
	local land1Sprite = getBodySprite(land1)
	local land1b = SpriteWrapper()
	land1b:setSprite(Instance():getLevel():createSprite("land1", "land1b"))
	
	Instance():getLevel():buttonsInit()
	Instance():getLevel():createSprite("pedestal1", "pedestal2")
	
	land1b:setPosition(land1Sprite:getPositionX() + 2048 * ConfigData_Instance():getScale() - 0.5, land1b:getSprite():getPositionY())
	
	local door1Body = Instance():getLevel():createSpriteAndBody("door1", "door1")
	door1 = SpriteWrapper()
	door1:getBodySprite(door1Body)
	local door2Body = Instance():getLevel():createSpriteAndBody("door2", "door2")
	door2 = SpriteWrapper()
	door2:getBodySprite(door2Body)
	
	local bridge1Body = Instance():getLevel():createSpriteAndBody("bridge1", "bridge1")
	local bridge1Button = Instance():getLevel():objectByName("presser1")
	local bridge1Obj = GameObjects_Instance():createObjectPlatform("bridge1", bridge1Body, bridge1Button)
	Instance():getLevel():createObject(bridge1Obj)
	
	local land3 = Instance():getLevel():createSpriteAndBody("land3", "land3")
	
	local jumper1Body = Instance():getLevel():createSpriteAndBody("jumper1", "jumperA")
	local jumper1Obj = GameObjects_Instance():createObjectAngularSpring("jumper1", jumper1Body)
	Instance():getLevel():createObject(jumper1Obj)
	
	Instance():getLevel():starsInit()
	ball1Body = Instance():getLevel():createSpriteAndBody("ball1", "ball1")
	
	local lever1Obj = Instance():getLevel():objectByName("lever1")
	lever1 = GameObjects_Instance():convertGameObjectToLever(lever1Obj)
	local water1Obj = Instance():getLevel():objectByName("water1")
	water1 = GameObjects_Instance():convertGameObjectToWater(water1Obj)
	
	Instance():getLevel():setCollide(land3, -1, 0x0001, 0xFFFF)
	Instance():getLevel():setCollide(bridge1Body, -1, 0x0001, 0xFFFF)
	
	local presser1Button = GameObjects_Instance():convertGameObjectToKnob( Instance():getLevel():objectByName("presser1") )
	Instance():getLevel():setCollide(presser1Button:getBody(), -1, 0x0001, 0xFFFF)
	
	jumper1Obj:afterInit()
	
end	
	
__init()

function update(dt)
	
	if lever1:getState() == 1 then
		if water1:getSprite():getPositionY() < ConfigData_Instance():getNew_Y(235.0) then
			local x = water1:getSprite():getPositionX()
			local y = water1:getSprite():getPositionY() + 0.75 * ConfigData_Instance():getScale() * dt * FLASH_FPS
			water1:getSprite():setPositionX( x )
			water1:getSprite():setPositionY( y )
		end
	else 
		if water1:getSprite():getPositionY() > ConfigData_Instance():getNew_Y(372.0) then
			local x = water1:getSprite():getPositionX()
			local y = water1:getSprite():getPositionY() - 0.75 * ConfigData_Instance():getScale() * dt * FLASH_FPS
			water1:getSprite():setPositionX( x )
			water1:getSprite():setPositionY( y )
		end
	end
	
	local xVec = water1:getSprite():getPositionX()/ConfigData_Instance():get_PTM_RATIO()
	local yVec = water1:getSprite():getPositionY()/ConfigData_Instance():get_PTM_RATIO()
	local water1Vector = b2Vec2( xVec, yVec )
	water1:getBody():SetTransform(water1Vector, 0);
	
	
	if door1:getSprite():getPositionY() < ConfigData_Instance():getNew_Y(205) and 
	   door2:getSprite():getPositionY() < ConfigData_Instance():getNew_Y(205) and 
	  (door1:getSprite():getPositionY() > ConfigData_Instance():getNew_Y(212) or door2:getSprite():getPositionY() > ConfigData_Instance():getNew_Y(212)) then
	  
        local inTunel = Instance():getLevel():getPlayer():getSprite():getPositionX() > ConfigData_Instance():getNew_X(320) and 
				  Instance():getLevel():getPlayer():getSprite():getPositionX() < ConfigData_Instance():getNew_X(600) and 
				  Instance():getLevel():getPlayer():getSprite():getPositionY() < ConfigData_Instance():getNew_Y(195)
				  
        if inTunel or (not inTunel and not lever1:getState()) then
			Instance():getLevel():resetSituation()
		end
    end
	
	local ball1 = b2BodyWrapper()
	ball1:setBody(ball1Body)
	if ball1:getPositionY() < 0 then
		Instance():getLevel():resetSituation()
	end
	
end

function destroy()
	water1 = nil;
	door1 = nil;
	door2 = nil;
	ball1Body = nil;
	lever1 = nil;
end

